%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global momorel 4

Summary: RPM installer/updater
Name: yum
Version: 2.6.1
Release: %{momorel}m
License: GPL
Group: System Environment/Base
%NoSource 0 http://linux.duke.edu/projects/yum/download/2.6/yum-%{version}.tar.gz 2dc94410341ef7f4171a7ecdc00be5bf
Source1: yum.conf.momonga
Source99: plugin.conf
# default plugins here
Source100: installonlyn.py
Patch10: yum-2.6.1-momonga.patch

URL: http://linux.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe, yum-metadata-parser
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python, python-urlgrabber, python-sqlite, python-elementtree
PreReq: chkconfig, initscripts, coreutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

### include local configuration
%{?include_specopt}
%{?!i686: %global i686 0}

%prep
%setup -q
%patch10 -p1 -b .momonga

%build
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.conf

chmod +x %{buildroot}%{_sysconfdir}/cron.daily/yum.cron
mkdir -p %{buildroot}/%{_sysconfdir}/yum/pluginconf.d %{buildroot}%{_libdir}/yum-plugins

install -m 644 %{SOURCE100} %{buildroot}%{_libdir}/yum-plugins/installonlyn.py
install -m 644 %{SOURCE99} %{buildroot}%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf
cat >> %{buildroot}%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf << EOF
# this sets the number of package versions which are kept
tokeep=2
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog PLUGINS
%config(noreplace) %{_sysconfdir}/yum.conf
# %%dir %{_sysconfdir}/yum.repos.d
# this dir is proveded by momonga-release
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.yum
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/cron.weekly/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{_bindir}/yum-arch
%{_prefix}/lib/python?.?/site-packages/yum
%{_prefix}/lib/python?.?/site-packages/repomd
%{_prefix}/lib/python?.?/site-packages/rpmUtils
%dir /var/cache/yum
%{_mandir}/man*/*
# plugin stuff
%dir %{_sysconfdir}/yum/pluginconf.d 
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/*
%dir %{_libdir}/yum-plugins
%{_libdir}/yum-plugins/*

%changelog
* Thu Aug  3 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.1-4m)
- remove exclude = kernel* for yum.conf

* Thu Jul  6 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.1-3m)
- revise 'yum-2.6.1-momonga.patch' to force upgrading to different version
- add 'Obsoletes: yum-metadata-parser'

* Thu Jul  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.1-2m)
- maki modosi

* Sun Jul  2 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.9.2-2m)
- exclude lame-devel and usolame-devel

* Thu Jun 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.9.2-1m)
- update to version 2.9.2

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.9.1-1m)
- update to version 2.9.1
- Require yum-metadata-parser

* Thu Apr 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.1-1m)
- update to version 2.6.1
- delete included patches
- add into yum.conf.momonga
  +keepcache=0
  +plugins=1
  +metadata_expire=1800
- add Source99: plugin.conf
- add Source100: installonlyn.py
- add Patch0: yum-2.6.0-proxy.patch
- use %%make
- fix %%files section
- update Patch10: yum-2.6.1-momonga.patch

* Sun Oct 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.0-1m)
- version 2.4.0
- sync with Fedora Core devel
 +* Sun Oct 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-7
 +- Drop anaconda flag patch
 +- Fix ppc64pseries/iseries basearch substitution
 +
 +* Thu Oct 06 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-6
 +- Backport transaction constants
 +- Allow setting anaconda flag
 +
 +* Tue Oct  4 2005 Jeremy Katz <katzj@redhat.com>
 +- add dirs for plugins
 +
 +* Tue Sep 27 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-5
 +- add yum-cli dir (#169334)
 +
 +* Wed Sep 21 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-4
 +- make returnByName* be consistent in what it returns (#168712)
 +
 +* Fri Sep 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-3
 +- add two patches for anaconda that have been committed upstream
 +  * allow removal of packages from transaction
 +  * support search by name with sqlite
 +
 +* Thu Sep 01 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-2
 +- Initial version of macro support patch

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.2-3m)
- rebuild against python-2.4.2

* Thu Apr 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.3.2-2m)
- add Require

* Sun Apr 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.2-1m)
- update to 2.3.2
- update Patch0: yum-2.3.2-momonga.patch
- delete included Patch1: yum-2.3.1-sqlite-fix.patch 

* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.3.1-1m)
- up to 2.3.1

* Sat Mar 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-2m)
- modify rpmUtils.arch.getBaseArch()
  Same arch as system arch is selected.

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-1m)
- upgrade 2.3.0

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-5m)
- default architecture of ix86 is now i686
- use specopt for i586

* Mon Aug  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.7-4m)
- update yum.conf for MomongaLinux1 release

* Sun Jul 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-3m)
- change yum.conf for momonga linux 1 beta2

* Sun Jul 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-2m)
- add patch1 for fix yum.conf

* Thu May 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.7-1m)
- 1st release.

* Fri May  7 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.7

* Tue Mar 16 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.6

* Sat Jan 31 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.5

* Sun Oct 19 2003 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.4

* Mon Sep  8 2003 Seth Vidal <skvidal@phy.duke.edu>
- brown paper-bag 2.0.3

* Sun Sep  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.2

* Fri Aug 15 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.1

* Sun Jul 13 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0

* Sat Jul 12 2003 Seth Vidal <skvidal@phy.duke.edu>
- made yum.cron config(noreplace)

* Sat Jun  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- add stubs to spec file for rebuilding easily with custom yum.conf and
- yum.cron files

* Sat May 31 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.98

* Mon Apr 21 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.97

* Wed Apr 16 2003 Seth Vidal <skvidal@phy.duke.edu>
- moved to fhs compliance
- ver to 1.96

* Mon Apr  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- updated for 1.95 betaish release
- remove /sbin legacy
- no longer starts up by default
- do the find_lang thing

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.4
- new spec file for rhl 8.0

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
